<ion-view title="ASDRA">
    <ion-nav-buttons side="left">
        <button class="button button-assertive" ng-click="filtrarTap()">Filtrar</button>
    </ion-nav-buttons>
    <ion-nav-buttons side="right">
        <button on-tap="agregarTap()" class="button button-assertive">Agregar</button>
    </ion-nav-buttons>
    <ion-header-bar class="bar-subheader item-input-inset">
        <label class="item-input-wrapper">
            <i class="icon ion-ios-search placeholder-icon"></i>
            <input type="search" placeholder="Buscar" ng-change="search();" ng-model="data.search">
        </label>
        <button class="button button-clear" ng-click="cancelSearch();">
            Cancelar
        </button>
    </ion-header-bar>
    <ion-content class="has-subheader" scroll="true">
      <ion-refresher pulling-text="Actualizar pantalla..." on-refresh="reload()"></ion-refresher>
        <ion-list class="sites-detailed">
            <ion-item ng-repeat="site in data.sitesToShow track by $index" type="item-text-wrapper">
                <h2 ng-click="setSite(site); showSite();">{{site.name}}</h2>
                <div ng-repeat="image in site.getImages() track by $index">
                    <img ng-click="setSite(site); showSite();" ng-show="image" ng-src="{{ image }}" width="40" height="40" style="display:inline-block;float:left; border:2px solid #ddd; margin-right: 5px;">
                </div>
                <!--<h3>{{site.town}}</h3>
                <h4>{{site.category}}</h4>-->
                <div class="row" style="padding:5px 0 0 0;">
                   <span ng-click="setSite(site); showSite();" style="padding:0;" align="left" class="col col-50"><h4>{{site.address}}</h4></span>
                   <span ng-click="setSite(site); showSite();" style="padding:0;" align="right" class="col col-50"><small>{{(site.comments | filter:{ validado: true }).length}} comentarios</small></span>
                </div>
                <div style="display:inline-block;">
                    <div class="hearts">
                        <div id="5h" ng-show="site.hearts == 5">
                            <i class="icon ion-ios-heart assertive" ng-click="setHearts(site, 0);"></i>
                            <i class="icon ion-ios-heart assertive" ng-click="setHearts(site, 1);"></i>
                            <i class="icon ion-ios-heart assertive" ng-click="setHearts(site, 2);"></i>
                            <i class="icon ion-ios-heart assertive" ng-click="setHearts(site, 3);"></i>
                            <i class="icon ion-ios-heart assertive" ng-click="setHearts(site, 4);"></i>
                        </div>
                        <div id="4h" ng-show="site.hearts == 4">
                            <i class="icon ion-ios-heart assertive" ng-click="setHearts(site, 0);"></i>
                            <i class="icon ion-ios-heart assertive" ng-click="setHearts(site, 1);"></i>
                            <i class="icon ion-ios-heart assertive" ng-click="setHearts(site, 2);"></i>
                            <i class="icon ion-ios-heart assertive" ng-click="setHearts(site, 3);"></i>
                            <i class="icon ion-ios-heart disabled" ng-click="setHearts(site, 5);"></i>
                        </div>
                        <div id="3h" ng-show="site.hearts == 3">
                            <i class="icon ion-ios-heart assertive" ng-click="setHearts(site, 0);"></i>
                            <i class="icon ion-ios-heart assertive" ng-click="setHearts(site, 1);"></i>
                            <i class="icon ion-ios-heart assertive" ng-click="setHearts(site, 2);"></i>
                            <i class="icon ion-ios-heart disabled" ng-click="setHearts(site, 4);"></i>
                            <i class="icon ion-ios-heart disabled" ng-click="setHearts(site, 5);"></i>
                        </div>
                        <div id="2h" ng-show="site.hearts == 2">
                            <i class="icon ion-ios-heart assertive" ng-click="setHearts(site, 0);"></i>
                            <i class="icon ion-ios-heart assertive" ng-click="setHearts(site, 1);"></i>
                            <i class="icon ion-ios-heart disabled" ng-click="setHearts(site, 3);"></i>
                            <i class="icon ion-ios-heart disabled" ng-click="setHearts(site, 4);"></i>
                            <i class="icon ion-ios-heart disabled" ng-click="setHearts(site, 5);"></i>
                        </div>
                        <div id="1h" ng-show="site.hearts == 1">
                            <i class="icon ion-ios-heart assertive" ng-click="setHearts(site, 0);"></i>
                            <i class="icon ion-ios-heart disabled" ng-click="setHearts(site, 2);"></i>
                            <i class="icon ion-ios-heart disabled" ng-click="setHearts(site, 3);"></i>
                            <i class="icon ion-ios-heart disabled" ng-click="setHearts(site, 4);"></i>
                            <i class="icon ion-ios-heart disabled" ng-click="setHearts(site, 5);"></i>
                        </div>
                        <div id="0h" ng-show="site.hearts == 0">
                            <i class="icon ion-ios-heart disabled" ng-click="setHearts(site, 1);"></i>
                            <i class="icon ion-ios-heart disabled" ng-click="setHearts(site, 2);"></i>
                            <i class="icon ion-ios-heart disabled" ng-click="setHearts(site, 3);"></i>
                            <i class="icon ion-ios-heart disabled" ng-click="setHearts(site, 4);"></i>
                            <i class="icon ion-ios-heart disabled" ng-click="setHearts(site, 5);"></i>
                        </div>
                    </div>
                </div>
            </ion-item>
        </ion-list>
        <h4 class="text-center" ng-show="data.sitesLength == 0">No se encontraron resultados</h4>
        <ion-infinite-scroll icon="ion-loading-c" on-infinite="loadMoreData()"></ion-infinite-scroll>
    </ion-content>
</ion-view>
